Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000821Core InformExtensionspublic2011-12-16 12:312014-05-07 07:33
Assigned Tograham 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000821: Error message does not mention that variables can be translated into I6
DescriptionWhile the documentation link to 25.21 does a good job explaining what can be translated to I6, the problem message provoked by the attached source reads

- - - -
Problem. You wrote 'The agent translates into I6 as "agent"' : but that isn't one of the things which can be translated to I6, and should be '... property', '... object', '... kind', '... rule', or '... action'. For instance, 'The yourself object translates into I6 as "selfobj".'
- - - -

which suggests that the author is trying to do something illegal when in fact only the word ``variable'' is needed.
Minimal Source Text To Reproduce
There is a room.
The agent is a person that varies.
The agent translates into I6 as "agent".
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-12-16 12:31 EmacsUser New Issue
2012-06-20 08:40 curiousdannii Status new => confirmed
2014-01-22 15:12 graham Status confirmed => resolved
2014-01-22 15:12 graham Resolution open => fixed
2014-01-22 15:12 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker